Interface CMEndpointBuilderFactory.CMBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- CMEndpointBuilderFactory
public static interface CMEndpointBuilderFactory.CMBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default CMEndpointBuilderFactory.CMEndpointBuildercmSms(String path)CM SMS Gateway (camel-cm-sms) Send SMS messages via CM SMS Gateway.default CMEndpointBuilderFactory.CMEndpointBuildercmSms(String componentName, String path)CM SMS Gateway (camel-cm-sms) Send SMS messages via CM SMS Gateway.
-
-
-
Method Detail
-
cmSms
default CMEndpointBuilderFactory.CMEndpointBuilder cmSms(String path)
CM SMS Gateway (camel-cm-sms) Send SMS messages via CM SMS Gateway. Category: mobile Since: 2.18 Maven coordinates: org.apache.camel:camel-cm-sms Syntax:cm-sms:hostPath parameter: host (required) SMS Provider HOST with scheme- Parameters:
path- host- Returns:
- the dsl builder
-
cmSms
default CMEndpointBuilderFactory.CMEndpointBuilder cmSms(String componentName, String path)
CM SMS Gateway (camel-cm-sms) Send SMS messages via CM SMS Gateway. Category: mobile Since: 2.18 Maven coordinates: org.apache.camel:camel-cm-sms Syntax:cm-sms:hostPath parameter: host (required) SMS Provider HOST with scheme- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- host- Returns:
- the dsl builder
-
-